Name: perl-libintl
Version: 1.33
Release: 2%{?dist}
Summary: Internationalization library for Perl, compatible with gettext
License: LGPLv2+
Group: Development/Libraries
URL: https://search.cpan.org/dist/libintl-perl/
Source: https://search.cpan.org/CPAN/authors/id/G/GU/GUIDO/libintl-perl-%{version}.tar.gz

Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires: libxcrypt
BuildRequires: coreutils
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
# Run-time:
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(constant)
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(Encode::Alias)
BuildRequires: perl(Exporter)
BuildRequires: perl(IO::Handle)
# Tests:
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(Test::Harness)

Provides: perl-libintl-perl = %{version}-%{release}
Provides: perl(Locale::Messages)

%{?perl_default_filter}

%description
The package libintl-perl is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.


%prep
%setup -q -n libintl-perl-%{version}
find -type f -exec chmod -x {} \;
find lib/Locale gettext_xs \( -name '*.pm' -o -name '*.pod' \) \
    -exec sed -i -e '/^#! \/bin\/false/d' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{make_build}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f \( -name .packlist -o \
			-name '*.bs' -size 0 \) -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc COPYING NEWS README THANKS TODO
%{perl_vendorlib}/Locale/
%{perl_vendorarch}/auto/Locale/
%{_mandir}/man?/*
